Index: src/main/java/project/fmo/app/projcetfmo/Service/impl/AuthServiceImpl.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/impl/AuthServiceImpl.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
+++ src/main/java/project/fmo/app/projcetfmo/Service/impl/AuthServiceImpl.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
@@ -1,21 +1,2 @@
-package project.fmo.app.projcetfmo.Service.impl;
-
-import org.springframework.stereotype.Service;
-import project.fmo.app.projcetfmo.Model.Korisnik;
-import project.fmo.app.projcetfmo.Repository.KorisnikRepository;
-import project.fmo.app.projcetfmo.Service.AuthService;
-
-@Service
-public class AuthServiceImpl implements AuthService {
-
-    private final KorisnikRepository korisnikRepository;
-
-    public AuthServiceImpl(KorisnikRepository korisnikRepository) {
-        this.korisnikRepository = korisnikRepository;
-    }
-
-    @Override
-    public Korisnik login(String username, String password) {
-        return korisnikRepository.findByImePrezimeAndPasswordKorisnik(username,password);
-    }
+package project.fmo.app.projcetfmo.Service.impl;public class AuthServiceImpl {
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/impl/CenaServiceImpl.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/impl/CenaServiceImpl.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
+++ src/main/java/project/fmo/app/projcetfmo/Service/impl/CenaServiceImpl.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
@@ -1,54 +1,2 @@
-package project.fmo.app.projcetfmo.Service.impl;
-
-import javax.transaction.Transactional;
-import org.springframework.stereotype.Service;
-import project.fmo.app.projcetfmo.Model.Cena;
-import project.fmo.app.projcetfmo.Model.CenaPK;
-import project.fmo.app.projcetfmo.Repository.CenaRepository;
-import project.fmo.app.projcetfmo.Service.CenaService;
-
-import java.sql.Date;
-import java.util.List;
-
-@Service
-public class CenaServiceImpl implements CenaService {
-
-    private final CenaRepository cenaRepository;
-
-    public CenaServiceImpl(CenaRepository cenaRepository) {
-        this.cenaRepository = cenaRepository;
-    }
-
-    @Override
-    public Cena save(Integer idProdukt, java.sql.Date cenaOd, java.sql.Date cenaDo, int iznos) {
-            Cena c = new Cena(idProdukt,cenaOd,cenaDo,iznos);
-            cenaRepository.save(c);
-        return c;
-    }
-
-    @Transactional
-    @Override
-    public Cena edit(Integer idProdukt, Date cenaOd, Date cenaDo, int iznos) {
-        Cena c = cenaRepository.findByIdProdukt(idProdukt);
-        cenaRepository.deleteByIdProdukt(c.getIdProdukt());
-        Cena c1 = new Cena(idProdukt,cenaOd,cenaDo,iznos);
-        cenaRepository.save(c1);
-        return c;
-    }
-
-    @Override
-    public List<Cena> findAll() {
-        return cenaRepository.findAll();
-    }
-
-    @Override
-    public Cena findByIdProdukt(int idProdukt) {
-        return cenaRepository.findByIdProdukt(idProdukt);
-    }
-
-    @Transactional
-    @Override
-    public void deleteByIdProdukt(int idProdukt) {
-        cenaRepository.deleteByIdProdukt(idProdukt);
-    }
+package project.fmo.app.projcetfmo.Service.impl;public class CenaServiceImpl {
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/impl/DostavaServiceImpl.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/impl/DostavaServiceImpl.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
+++ src/main/java/project/fmo/app/projcetfmo/Service/impl/DostavaServiceImpl.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
@@ -1,33 +1,2 @@
-package project.fmo.app.projcetfmo.Service.impl;
-
-import org.springframework.stereotype.Service;
-import project.fmo.app.projcetfmo.Model.Dostava;
-import project.fmo.app.projcetfmo.Model.Dostavuvac;
-import project.fmo.app.projcetfmo.Repository.DostavaRepository;
-import project.fmo.app.projcetfmo.Service.DostavaService;
-
-import java.util.List;
-
-@Service
-public class DostavaServiceImpl implements DostavaService {
-
-    private final DostavaRepository dostavaRepository;
-
-    public DostavaServiceImpl(DostavaRepository dostavaRepository) {
-        this.dostavaRepository = dostavaRepository;
-    }
-
-    @Override
-    public List<Dostava> findByIdKorisnikAndStatus(Dostavuvac dostavuvac, String status) {
-        return dostavaRepository.findByDostavuvacAndStatus(dostavuvac,status);
-    }
-
-    @Override
-    public Dostava edit(Integer id) {
-        Dostava d = dostavaRepository.findById(id).orElse(null);
-        assert d != null;
-        d.setStatus("dostavena");
-        dostavaRepository.save(d);
-        return d;
-    }
+package project.fmo.app.projcetfmo.Service.impl;public class DostavaServiceImpl {
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/impl/DostavuvacServiceImpl.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/impl/DostavuvacServiceImpl.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
+++ src/main/java/project/fmo/app/projcetfmo/Service/impl/DostavuvacServiceImpl.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
@@ -1,21 +1,2 @@
-package project.fmo.app.projcetfmo.Service.impl;
-
-import org.springframework.stereotype.Service;
-import project.fmo.app.projcetfmo.Model.Dostavuvac;
-import project.fmo.app.projcetfmo.Repository.DostavuvacRepository;
-import project.fmo.app.projcetfmo.Service.DostavuvaceService;
-
-@Service
-public class DostavuvacServiceImpl implements DostavuvaceService {
-
-    private final DostavuvacRepository dostavuvacRepository;
-
-    public DostavuvacServiceImpl(DostavuvacRepository dostavuvacRepository) {
-        this.dostavuvacRepository = dostavuvacRepository;
-    }
-
-    @Override
-    public Dostavuvac findById(Integer id) {
-        return dostavuvacRepository.findById(id).orElse(null);
-    }
+package project.fmo.app.projcetfmo.Service.impl;public class DostavuvacServiceImpl {
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/impl/KategorijaServiceImpl.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/impl/KategorijaServiceImpl.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
+++ src/main/java/project/fmo/app/projcetfmo/Service/impl/KategorijaServiceImpl.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
@@ -1,39 +1,2 @@
-package project.fmo.app.projcetfmo.Service.impl;
-
-import org.springframework.stereotype.Service;
-import project.fmo.app.projcetfmo.Model.Kategorija;
-import project.fmo.app.projcetfmo.Repository.KategorijaRepository;
-import project.fmo.app.projcetfmo.Service.KategorijaService;
-
-import java.util.List;
-
-@Service
-public class KategorijaServiceImpl implements KategorijaService {
-
-    private final KategorijaRepository kategorijaRepository;
-
-    public KategorijaServiceImpl(KategorijaRepository kategorijaRepository) {
-        this.kategorijaRepository = kategorijaRepository;
-    }
-
-    @Override
-    public List<Kategorija> findAll() {
-        return kategorijaRepository.findAll();
-    }
-
-    @Override
-    public Kategorija save(String ime) {
-        Kategorija k = new Kategorija(ime);
-        kategorijaRepository.save(k);
-        return k;
-    }
-
-    @Override
-    public Kategorija edit(Integer id, String ime) {
-        Kategorija k = kategorijaRepository.findById(id).orElse(null);
-        assert k != null;
-        k.setIme(ime);
-        kategorijaRepository.save(k);
-        return k;
-    }
+package project.fmo.app.projcetfmo.Service.impl;public class KategorijaServiceImpl {
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/impl/KorisnikServiceImpl.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/impl/KorisnikServiceImpl.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
+++ src/main/java/project/fmo/app/projcetfmo/Service/impl/KorisnikServiceImpl.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
@@ -1,92 +1,2 @@
-package project.fmo.app.projcetfmo.Service.impl;
-
-import org.springframework.security.core.authority.SimpleGrantedAuthority;
-import org.springframework.security.core.userdetails.User;
-import org.springframework.security.core.userdetails.UserDetails;
-import org.springframework.security.core.userdetails.UsernameNotFoundException;
-import org.springframework.security.crypto.password.PasswordEncoder;
-import org.springframework.stereotype.Service;
-import project.fmo.app.projcetfmo.Model.*;
-import project.fmo.app.projcetfmo.Repository.*;
-import project.fmo.app.projcetfmo.Service.KorisnikService;
-
-import java.sql.Timestamp;
-import java.time.LocalDateTime;
-import java.util.List;
-import java.util.Objects;
-import java.util.stream.Collectors;
-import java.util.stream.Stream;
-
-@Service
-public class KorisnikServiceImpl implements KorisnikService {
-
-    private final PasswordEncoder passwordEncoder;
-    private final AdminRepository adminRepository;
-    private final DostavuvacRepository dostavuvacRepository;
-
-    private final TelefnoskiBrojRepository telefnoskiBrojRepository;
-    private final KupuvacRepository kupuvacRepository;
-    private final KorisnikRepository korisnikRepository;
-
-    public KorisnikServiceImpl(PasswordEncoder passwordEncoder, AdminRepository adminRepository, DostavuvacRepository dostavuvacRepository, TelefnoskiBrojRepository telefnoskiBrojRepository, KupuvacRepository kupuvacRepository, KorisnikRepository korisnikRepository) {
-        this.passwordEncoder = passwordEncoder;
-        this.adminRepository = adminRepository;
-        this.dostavuvacRepository = dostavuvacRepository;
-        this.telefnoskiBrojRepository = telefnoskiBrojRepository;
-        this.kupuvacRepository = kupuvacRepository;
-        this.korisnikRepository = korisnikRepository;
-    }
-
-    @Override
-    public UserDetails loadUserByUsername(String username) throws UsernameNotFoundException {
-        Korisnik korisnik = korisnikRepository.findByImePrezime(username);
-        for (AdminKorisnik a: adminRepository.findAll()) {
-            if (a.getIdKorisnik() == korisnik.getIdKorisnik()) {
-                return new User(korisnik.getImePrezime(), korisnik.getPasswordKorisnik(), Stream.of(new SimpleGrantedAuthority("ROLE_ADMIN")).collect(Collectors.toList()));
-            }
-        }
-        for (Dostavuvac a: dostavuvacRepository.findAll()) {
-            if (a.getIdKorisnik() == korisnik.getIdKorisnik()) {
-                return new User(korisnik.getImePrezime(), korisnik.getPasswordKorisnik(), Stream.of(new SimpleGrantedAuthority("ROLE_DELIVER")).collect(Collectors.toList()));
-            }
-        }
-        for (Kupuvac a: kupuvacRepository.findAll()){
-            if (a.getIdKorisnik() == korisnik.getIdKorisnik()){
-                return new User(korisnik.getImePrezime(),korisnik.getPasswordKorisnik(), Stream.of(new SimpleGrantedAuthority("ROLE_USER")).collect(Collectors.toList()) );
-            }
-        }
-        return null;
-    }
-
-    @Override
-    public Korisnik findbyImePrezime(String ime) {
-        return korisnikRepository.findByImePrezime(ime);
-    }
-
-    @Override
-    public Korisnik findById(Integer id) {
-        return korisnikRepository.findById(id).orElse(null);
-    }
-
-    @Override
-    public Korisnik register(String username, String password, String repeatPassword, String mail, String number) {
-        if (username==null || username.isEmpty()  || password==null || password.isEmpty())
-            throw new RuntimeException();
-        if (!password.equals(repeatPassword))
-            throw new RuntimeException();
-
-        Korisnik korisnik = new Korisnik(username,password, Timestamp.valueOf(LocalDateTime.now()));
-        korisnikRepository.save(korisnik);
-        Kupuvac k = new Kupuvac(korisnik.getIdKorisnik(), mail);
-        kupuvacRepository.save(k);
-        Telefonskibroj t = new Telefonskibroj(new TelefonskibrojPK(korisnik.getIdKorisnik(),number));
-        telefnoskiBrojRepository.save(t);
-        return korisnik;
-
-    }
-
-    @Override
-    public List<Object> statistics2() {
-        return korisnikRepository.statistics2();
-    }
+package project.fmo.app.projcetfmo.Service.impl;public class KorisnikServiceImpl {
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/impl/KupuvacServiceImpl.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/impl/KupuvacServiceImpl.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
+++ src/main/java/project/fmo/app/projcetfmo/Service/impl/KupuvacServiceImpl.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
@@ -1,21 +1,2 @@
-package project.fmo.app.projcetfmo.Service.impl;
-
-import org.springframework.stereotype.Service;
-import project.fmo.app.projcetfmo.Model.Kupuvac;
-import project.fmo.app.projcetfmo.Repository.KupuvacRepository;
-import project.fmo.app.projcetfmo.Service.KupuvacService;
-
-@Service
-public class KupuvacServiceImpl implements KupuvacService {
-
-    private final KupuvacRepository kupuvacRepository;
-
-    public KupuvacServiceImpl(KupuvacRepository kupuvacRepository) {
-        this.kupuvacRepository = kupuvacRepository;
-    }
-
-    @Override
-    public Kupuvac findById(Integer id) {
-        return kupuvacRepository.findById(id).orElse(null);
-    }
+package project.fmo.app.projcetfmo.Service.impl;public class KupuvacServiceImpl {
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/impl/NarackaServiceImpl.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/impl/NarackaServiceImpl.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
+++ src/main/java/project/fmo/app/projcetfmo/Service/impl/NarackaServiceImpl.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
@@ -1,71 +1,2 @@
-package project.fmo.app.projcetfmo.Service.impl;
-
-import org.springframework.stereotype.Service;
-import project.fmo.app.projcetfmo.Model.Kupuvac;
-import project.fmo.app.projcetfmo.Model.Naracka;
-import project.fmo.app.projcetfmo.Model.Produkt;
-import project.fmo.app.projcetfmo.Repository.KupuvacRepository;
-import project.fmo.app.projcetfmo.Repository.NarackaRepository;
-import project.fmo.app.projcetfmo.Service.NarackaService;
-
-import java.sql.Date;
-import java.util.List;
-
-@Service
-public class NarackaServiceImpl implements NarackaService {
-
-    private final NarackaRepository narackaRepository;
-    private final KupuvacRepository kupuvacRepository;
-
-    public NarackaServiceImpl(NarackaRepository narackaRepository, KupuvacRepository kupuvacRepository) {
-        this.narackaRepository = narackaRepository;
-        this.kupuvacRepository = kupuvacRepository;
-    }
-
-    @Override
-    public List<Produkt> allProductsInOrder(Integer narackaId) {
-        return null;
-    }
-
-    @Override
-    public Naracka getActiveOrder(String username) {
-        return null;
-    }
-
-    @Override
-    public Naracka findByIdKorisniktAndStatus(Integer id, String s) {
-        Kupuvac k = kupuvacRepository.findById(id).orElse(null);
-        return narackaRepository.findByKupuvacAndStatus(k,s);
-    }
-
-    @Override
-    public Naracka save(int vkupnoSuma, Date date, String status, String adresa, Kupuvac k) {
-        return narackaRepository.save(new Naracka(vkupnoSuma,date,status,adresa,k));
-    }
-
-    @Override
-    public Naracka edit(int vkupnoSuma, String status, String adresa, Integer idK, Integer idN) {
-        Kupuvac k = kupuvacRepository.findById(idK).orElse(null);
-        Naracka n = narackaRepository.findByKupuvacAndIdNaracka(k,idN);
-        n.setVkupnoSuma(n.getVkupnoSuma()+vkupnoSuma);
-        n.setStatus(status);
-        n.setAdresa(adresa);
-        narackaRepository.save(n);
-        return n;
-    }
-
-    @Override
-    public Naracka findByKupuvac(Kupuvac k) {
-        return narackaRepository.findByKupuvac(k);
-    }
-
-    @Override
-    public Naracka findByIdNaracka(Integer id) {
-        return narackaRepository.findById(id).orElse(null);
-    }
-
-    @Override
-    public List<Naracka> findAll() {
-        return narackaRepository.findAll();
-    }
+package project.fmo.app.projcetfmo.Service.impl;public class NarackaServiceImpl {
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/impl/NarackaSodrziProduktServiceImpl.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/impl/NarackaSodrziProduktServiceImpl.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
+++ src/main/java/project/fmo/app/projcetfmo/Service/impl/NarackaSodrziProduktServiceImpl.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
@@ -1,62 +1,2 @@
-package project.fmo.app.projcetfmo.Service.impl;
-
-import org.springframework.stereotype.Service;
-import project.fmo.app.projcetfmo.Model.NarackaSodrziProdukt;
-import project.fmo.app.projcetfmo.Repository.NarackaSodrziProduktRepository;
-import project.fmo.app.projcetfmo.Service.NarackaSodrziProduktService;
-
-import java.util.List;
-
-@Service
-public class NarackaSodrziProduktServiceImpl implements NarackaSodrziProduktService {
-
-   private final NarackaSodrziProduktRepository narackaSodrziProduktRepository;
-
-    public NarackaSodrziProduktServiceImpl(NarackaSodrziProduktRepository narackaSodrziProduktRepository) {
-        this.narackaSodrziProduktRepository = narackaSodrziProduktRepository;
-    }
-
-    @Override
-    public NarackaSodrziProdukt findByIdProduktAndIdNaracka(Integer idP, Integer idN) {
-        return narackaSodrziProduktRepository.findByIdProduktAndIdNaracka(idP,idN);
-    }
-
-    @Override
-    public NarackaSodrziProdukt edit(Integer idP, Integer idN, Integer quantity, Integer price) {
-        NarackaSodrziProdukt n = narackaSodrziProduktRepository.findByIdProduktAndIdNaracka(idP,idN);
-        n.setCena(price);
-        n.setKolicina(n.getKolicina()+quantity);
-        narackaSodrziProduktRepository.save(n);
-        return n;
-    }
-
-    @Override
-    public NarackaSodrziProdukt save(Integer idP, Integer idN, Integer quantity, Integer price) {
-        NarackaSodrziProdukt n = new NarackaSodrziProdukt(idP,idN,quantity, price);
-        narackaSodrziProduktRepository.save(n);
-        return n;
-    }
-
-    @Override
-    public List<NarackaSodrziProdukt> findByIdNaracka(Integer id) {
-        return narackaSodrziProduktRepository.findByIdNaracka(id);
-    }
-
-    @Override
-    public void deleteProduct(Integer id) {
-        List<NarackaSodrziProdukt> narackaSodrziProdukts = narackaSodrziProduktRepository.findByIdProdukt(id);
-        narackaSodrziProduktRepository.deleteByIdProdukt(id);
-    }
-
-    @Override
-    public List<NarackaSodrziProdukt> findAll() {
-        return narackaSodrziProduktRepository.findAll();
-    }
-
-    @Override
-    public List<NarackaSodrziProdukt> findByIdProdukt(Integer id) {
-        return narackaSodrziProduktRepository.findByIdProdukt(id);
-    }
-
-
+package project.fmo.app.projcetfmo.Service.impl;public class NarackaSodrziProduktServiceImpl {
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/impl/ProduktEOdKategorijaServiceImpl.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/impl/ProduktEOdKategorijaServiceImpl.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
+++ src/main/java/project/fmo/app/projcetfmo/Service/impl/ProduktEOdKategorijaServiceImpl.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
@@ -1,63 +1,2 @@
-package project.fmo.app.projcetfmo.Service.impl;
-
-import javax.transaction.Transactional;
-import org.springframework.stereotype.Service;
-import project.fmo.app.projcetfmo.Model.ProduktEOdKategorija;
-import project.fmo.app.projcetfmo.Model.ProduktEOdKategorijaPK;
-import project.fmo.app.projcetfmo.Repository.ProduktEOdKategorijaRepository;
-import project.fmo.app.projcetfmo.Service.ProduktEOdKategorijaService;
-import project.fmo.app.projcetfmo.Service.ProduktService;
-
-import java.util.List;
-
-@Service
-public class ProduktEOdKategorijaServiceImpl implements ProduktEOdKategorijaService {
-
-    private final ProduktEOdKategorijaRepository produktEOdKategorijaRepository;
-
-    public ProduktEOdKategorijaServiceImpl(ProduktEOdKategorijaRepository produktEOdKategorijaRepository) {
-        this.produktEOdKategorijaRepository = produktEOdKategorijaRepository;
-    }
-
-    @Override
-    public ProduktEOdKategorija save(int idProdukt, int idKategorija) {
-        ProduktEOdKategorija produktEOdKategorija= new ProduktEOdKategorija(new ProduktEOdKategorijaPK(idProdukt, idKategorija));
-        produktEOdKategorijaRepository.save(produktEOdKategorija);
-        return produktEOdKategorija;
-    }
-
-    @Transactional
-    @Override
-    public ProduktEOdKategorija edit(int idProdukt, int idKategorija) {
-//        ProduktEOdKategorijaPK pk = new ProduktEOdKategorijaPK(idProdukt,idKategorija);
-        ProduktEOdKategorija peodkD = produktEOdKategorijaRepository.findByIdProdukt(idProdukt);
-        produktEOdKategorijaRepository.deleteByIdProdukt(peodkD.getIdProdukt());
-        ProduktEOdKategorijaPK pk = new ProduktEOdKategorijaPK(idProdukt, idKategorija);
-        ProduktEOdKategorija peodk = new ProduktEOdKategorija(pk);
-       produktEOdKategorijaRepository.save(peodk);
-
-        return peodk;
-    }
-
-    @Override
-    public List<ProduktEOdKategorija> findAll() {
-        return produktEOdKategorijaRepository.findAll();
-    }
-
-    @Override
-    public ProduktEOdKategorija findByIdProdukt(int idProdukt) {
-        return produktEOdKategorijaRepository.findByIdProdukt(idProdukt);
-    }
-
-    @Transactional
-    @Override
-    public void deleteByIdProdukt(int idProdukt) {
-
-        this.produktEOdKategorijaRepository.deleteByIdProdukt(idProdukt);
-    }
-
-    @Override
-    public ProduktEOdKategorija findByIdProduktAndIdKategorija(int idProdukt, int idKategorija) {
-        return produktEOdKategorijaRepository.findByIdProduktAndIdKategorija(idProdukt,idKategorija);
-    }
+package project.fmo.app.projcetfmo.Service.impl;public class ProduktEOdKategorijaServiceImpl {
 }
Index: src/main/java/project/fmo/app/projcetfmo/Service/impl/ProduktServiceImpl.java
===================================================================
--- src/main/java/project/fmo/app/projcetfmo/Service/impl/ProduktServiceImpl.java	(revision d14176d864a9e378a444b7d3a7c0e15a27d0113d)
+++ src/main/java/project/fmo/app/projcetfmo/Service/impl/ProduktServiceImpl.java	(revision 1dd922639ddb0583e5e61efee73ed97f3f8aa165)
@@ -1,73 +1,2 @@
-package project.fmo.app.projcetfmo.Service.impl;
-
-import org.springframework.data.domain.Page;
-import org.springframework.data.domain.Pageable;
-import org.springframework.stereotype.Service;
-import project.fmo.app.projcetfmo.Model.AdminKorisnik;
-import project.fmo.app.projcetfmo.Model.Produkt;
-import project.fmo.app.projcetfmo.Repository.AdminRepository;
-import project.fmo.app.projcetfmo.Repository.ProduktRepository;
-import project.fmo.app.projcetfmo.Service.ProduktService;
-
-
-import java.util.List;
-import java.util.Optional;
-import java.util.Random;
-
-@Service
-public class ProduktServiceImpl implements ProduktService {
-
-    private final ProduktRepository produktRepository;
-    private final AdminRepository adminRepository;
-
-    public ProduktServiceImpl(ProduktRepository produktRepository, AdminRepository adminRepository) {
-        this.produktRepository = produktRepository;
-        this.adminRepository = adminRepository;
-    }
-
-    @Override
-    public Optional<Produkt> findById(Integer id) {
-        return produktRepository.findById(id);
-    }
-
-    @Override
-    public List<Produkt> findAll() {
-        return produktRepository.findAll();
-    }
-
-    @Override
-    public Produkt save(String ime, String opis) {
-        List<AdminKorisnik> list = adminRepository.findAll();
-        Random rand = new Random();
-        int randomIndex = rand.nextInt(list.size());
-        AdminKorisnik a = list.get(randomIndex);
-        if (a == null){
-            throw new RuntimeException();
-        }
-        Produkt p = new Produkt(ime, opis, a);
-        produktRepository.save(p);
-        return p;
-    }
-
-    @Override
-    public Produkt edit(Integer id, String ime, String opis) {
-        Produkt p = produktRepository.findById(id).orElse(null);
-        if (p == null ){
-            throw new RuntimeException();
-        }
-        p.setIme(ime);
-        p.setOpis(opis);
-        produktRepository.save(p);
-        return p;
-    }
-
-    @Override
-    public void deleteById(Integer id) {
-        produktRepository.deleteById(id);
-    }
-
-    @Override
-    public List<Object> statistics1() {
-        return produktRepository.statistics1();
-    }
+package project.fmo.app.projcetfmo.Service.impl;public class ProduktServiceImpl {
 }
